Realm 5.0.0 electron-rebuild error on Linux

Hello,
today morning Linux builds of Realm 5.0.0 with electron-rebuild went fine, but this afternoon I git a build error:

napi-inl.h:4795:32: error: no matching function for call to ‘Napi::AsyncProgressWorker<T>::NonBlockingCall(std::nullptr_t) const’

Has something changed? I suspect the node-addon-api, the dependency is specified just as git+https://github.com/blagoev/node-addon-api.git and I have different version on my machine and Linux build machine. So, I guess the repo git+https://github.com/blagoev/node-addon-api.git has added some commits recently? Can you perform electron-rebuild for Realm 5.0.0 on Linux?

It has been fixed in 5.0.2 by setting the dependency to git+https://github.com/blagoev/node-addon-api.git#rjs. I hope, this branch would not change since the release.

Hi Ondrej,

It’s very unfortunate that you’ve had to spend valuable time on this. We should definitely lock the version of the node-addon-api repository to a specific branch / tag to prevent this from happening in the future (until the changes we need gets released upstream). Thank you for bringing this to our attention.

Also - please not that Electron is still not an officially supported platform (which is probably why we’ve been less careful ensuring this platform built in the absence of a prebuilt binary). What version of Electron are you using here?

Hi Kræn,
We are using Electron 8 now (8.0.1, but will upgrade to 8.1.1 soon, I think). The prebuilt binary would be great, see also my post Electron-rebuild and ssl libs on Windows

@kraenhansen You should also update the README.md, see my post Electron-rebuild and ssl libs on Windows and also the doc still mention “Node 8 and 10” two times.